summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'eclass/toolchain-glibc.eclass')
-rw-r--r--eclass/toolchain-glibc.eclass2
1 files changed, 1 insertions, 1 deletions
diff --git a/eclass/toolchain-glibc.eclass b/eclass/toolchain-glibc.eclass
index 98e394659cf8..e9cf01cf8c27 100644
--- a/eclass/toolchain-glibc.eclass
+++ b/eclass/toolchain-glibc.eclass
@@ -1278,7 +1278,7 @@ toolchain-glibc_do_src_install() {
doins "${WORKDIR}"/extra/etc/*.conf || die
if ! in_iuse nscd || use nscd ; then
- doinitd "${WORKDIR}"/extra/etc/nscd || die
+ doinitd "$(prefixify_ro "${WORKDIR}"/extra/etc/nscd)" || die
local nscd_args=(
-e "s:@PIDFILE@:$(strings "${ED}"/usr/sbin/nscd | grep nscd.pid):"